### 5.1.61 indepSet

`Syntax:`
  `indepSet (` ideal_expression `)`
`Type:`
  intvec
`Purpose:`
  computes a maximal set U of independent variables (in the sense defined in the note below) of the ideal given by a standard basis. If `v` is the result then `v[i]` is 1 if and only if the i-th variable of the ring, `x(i)`, is an independent variable. Hence, the set U consisting of all variables `x(i)` with `v[i]=1` is a maximal independent set.

`Note:`
  U is a set of independent variables for I if and only if ,i.e., eliminating the remaining variables gives (0). U is maximal if dim(I)=#U.
`Syntax:`
  `indepSet (` ideal_expression, int_expression `)`
`Type:`
  list
`Purpose:`
  computes a list of all maximal independent sets of the leading ideal (if the flag is 0), resp. of all those sets of independent variables of the leading ideal which cannot be enlarged.
`Example:`

        ring r=32003,(x,y,u,v,w),dp;
        ideal I=xyw,yvw,uyw,xv;
        attrib(I,"isSB",1);
        indepSet(I);
      ==> 1,1,1,0,0
        eliminate(I,vw);
      ==> _[1]=0
        indepSet(I,0);
      ==> [1]:
      ==>    1,1,1,0,0
      ==> [2]:
      ==>    0,1,1,1,0
      ==> [3]:
      ==>    1,0,1,0,1
      ==> [4]:
      ==>    0,0,1,1,1
        indepSet(I,1);
      ==> [1]:
      ==>    1,1,1,0,0
      ==> [2]:
      ==>    0,1,1,1,0
      ==> [3]:
      ==>    1,0,1,0,1
      ==> [4]:
      ==>    0,0,1,1,1
      ==> [5]:
      ==>    0,1,0,0,1
        eliminate(I,xuv);
      ==> _[1]=0

See ideal; std.

User manual for Singular version 4.4.1, 2025, generated by texi2html.